
subtle - Bug #319

Subtle not compilable on Ruby 2.3

11/17/2018 07:28 PM - Lukas Schreiner

Status: Confirmed Start date: 11/17/2018

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Bugfix Estimated time: 0.00 hour

Target version:    

Description

I had to upgrade to Ruby 2.3 due to not further support of older Ruby version.

Compiling was not possible:

CC build/subtle/shared.o

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:111:1: Fehler: expected »=«, »,«, »;«, »asm« or »__attrib

ute__« before »typedef«

 typedef unsigned char  OnigUChar;

 ^~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:159:39: Fehler: unbekannter Typname: »OnigUChar«

   int    (*precise_mbc_enc_len)(const OnigUChar* p,const OnigUChar* e, const struct OnigEncodingT

ypeST* enc);

                                       ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:159:58: Fehler: unbekannter Typname: »OnigUChar«

   int    (*precise_mbc_enc_len)(const OnigUChar* p,const OnigUChar* e, const struct OnigEncodingT

ypeST* enc);

                                                          ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:163:34: Fehler: unbekannter Typname: »OnigUChar«

   int    (*is_mbc_newline)(const OnigUChar* p, const OnigUChar* end, const struct OnigEncodingTyp

eST* enc);

                                  ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:163:54: Fehler: unbekannter Typname: »OnigUChar«

   int    (*is_mbc_newline)(const OnigUChar* p, const OnigUChar* end, const struct OnigEncodingTyp

eST* enc);

                                                      ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:164:38: Fehler: unbekannter Typname: »OnigUChar«

   OnigCodePoint (*mbc_to_code)(const OnigUChar* p, const OnigUChar* end, const struct OnigEncodin

gTypeST* enc);

                                      ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:164:58: Fehler: unbekannter Typname: »OnigUChar«

   OnigCodePoint (*mbc_to_code)(const OnigUChar* p, const OnigUChar* end, const struct OnigEncodin

gTypeST* enc);

                                                          ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:166:45: Fehler: unbekannter Typname: »OnigUChar«

   int    (*code_to_mbc)(OnigCodePoint code, OnigUChar *buf, const struct OnigEncodingTypeST* enc)

;

                                             ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:167:56: Fehler: unbekannter Typname: »OnigUChar«

   int    (*mbc_case_fold)(OnigCaseFoldType flag, const OnigUChar** pp, const OnigUChar* end, Onig

UChar* to, const struct OnigEncodingTypeST* enc);

                                                        ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:167:78: Fehler: unbekannter Typname: »OnigUChar«

   int    (*mbc_case_fold)(OnigCaseFoldType flag, const OnigUChar** pp, const OnigUChar* end, Onig

UChar* to, const struct OnigEncodingTypeST* enc);

                                                                              ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:167:94: Fehler: unbekannter Typname: »OnigUChar«

   int    (*mbc_case_fold)(OnigCaseFoldType flag, const OnigUChar** pp, const OnigUChar* end, Onig

UChar* to, const struct OnigEncodingTypeST* enc);

                                                                                              ^~~~
~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:169:69: Fehler: unbekannter Typname: »OnigUChar«

   int    (*get_case_fold_codes_by_str)(OnigCaseFoldType flag, const OnigUChar* p, const OnigUChar

* end, OnigCaseFoldCodeItem acs[], const struct OnigEncodingTypeST* enc);

                                                                     ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:169:89: Fehler: unbekannter Typname: »OnigUChar«

   int    (*get_case_fold_codes_by_str)(OnigCaseFoldType flag, const OnigUChar* p, const OnigUChar

* end, OnigCaseFoldCodeItem acs[], const struct OnigEncodingTypeST* enc);

                                                                                         ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:170:80: Fehler: unbekannter Typname: »OnigUChar«

   int    (*property_name_to_ctype)(const struct OnigEncodingTypeST* enc, const OnigUChar* p, cons

t OnigUChar* end);

                                                                                ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:170:100: Fehler: unbekannter Typname: »OnigUChar«

   int    (*property_name_to_ctype)(const struct OnigEncodingTypeST* enc, const OnigUChar* p, cons

t OnigUChar* end);

                                                                                                  

  ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:173:3: Fehler: unbekannter Typname: »OnigUChar«

   OnigUChar* (*left_adjust_char_head)(const OnigUChar* start, const OnigUChar* p, const OnigUChar

* end, const struct OnigEncodingTypeST* enc);

   ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:173:45: Fehler: unbekannter Typname: »OnigUChar«

   OnigUChar* (*left_adjust_char_head)(const OnigUChar* start, const OnigUChar* p, const OnigUChar

* end, const struct OnigEncodingTypeST* enc);

                                             ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:173:69: Fehler: unbekannter Typname: »OnigUChar«

   OnigUChar* (*left_adjust_char_head)(const OnigUChar* start, const OnigUChar* p, const OnigUChar

* end, const struct OnigEncodingTypeST* enc);

                                                                     ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:173:89: Fehler: unbekannter Typname: »OnigUChar«

   OnigUChar* (*left_adjust_char_head)(const OnigUChar* start, const OnigUChar* p, const OnigUChar

* end, const struct OnigEncodingTypeST* enc);

                                                                                         ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:174:44: Fehler: unbekannter Typname: »OnigUChar«

   int    (*is_allowed_reverse_match)(const OnigUChar* p, const OnigUChar* end, const struct OnigE

ncodingTypeST* enc);

                                            ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:174:64: Fehler: unbekannter Typname: »OnigUChar«

   int    (*is_allowed_reverse_match)(const OnigUChar* p, const OnigUChar* end, const struct OnigE

ncodingTypeST* enc);

                                                                ^~~~~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:259:32: Fehler: unbekannter Typname: »OnigUChar«

 int onigenc_mbclen_approximate P_((const OnigUChar* p,const OnigUChar* e, const struct OnigEncodi

ngTypeST* enc));

                                ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:259:32: Fehler: unbekannter Typname: »OnigUChar«

 int onigenc_mbclen_approximate P_((const OnigUChar* p,const OnigUChar* e, const struct OnigEncodi

ngTypeST* enc));

                                ^

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:307:1: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_step_back P_((OnigEncoding enc, const OnigUChar* start, const OnigUChar* s, co

nst OnigUChar* end, int n));

 ^~~~~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:307:30: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_step_back P_((OnigEncoding enc, const OnigUChar* start, const OnigUChar* s, co

nst OnigUChar* end, int n));

                              ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:307:30: Fehler: unbekannter Typname: »OnigUChar«
 OnigUChar* onigenc_step_back P_((OnigEncoding enc, const OnigUChar* start, const OnigUChar* s, co

nst OnigUChar* end, int n));

                              ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:307:30: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_step_back P_((OnigEncoding enc, const OnigUChar* start, const OnigUChar* s, co

nst OnigUChar* end, int n));

                              ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:318:42: Fehler: unbekannter Typname: »OnigUChar«

 void  onigenc_set_default_caseconv_table P_((const OnigUChar* table));

                                          ^

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:320:1: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_right_adjust_char_head_with_prev P_((OnigEncoding enc, const OnigUChar* st

art, const OnigUChar* s, const OnigUChar* end, const OnigUChar** prev));

 ^~~~~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:320:57: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_right_adjust_char_head_with_prev P_((OnigEncoding enc, const OnigUChar* st

art, const OnigUChar* s, const OnigUChar* end, const OnigUChar** prev));

                                                         ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:320:57: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_right_adjust_char_head_with_prev P_((OnigEncoding enc, const OnigUChar* st

art, const OnigUChar* s, const OnigUChar* end, const OnigUChar** prev));

                                                         ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:320:57: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_right_adjust_char_head_with_prev P_((OnigEncoding enc, const OnigUChar* st

art, const OnigUChar* s, const OnigUChar* end, const OnigUChar** prev));

                                                         ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:320:57: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_right_adjust_char_head_with_prev P_((OnigEncoding enc, const OnigUChar* st

art, const OnigUChar* s, const OnigUChar* end, const OnigUChar** prev));

                                                         ^

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:322:1: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_prev_char_head P_((OnigEncoding enc, const OnigUChar* start, const OnigUCh

ar* s, const OnigUChar* end));

 ^~~~~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:322:39: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_prev_char_head P_((OnigEncoding enc, const OnigUChar* start, const OnigUCh

ar* s, const OnigUChar* end));

                                       ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:322:39: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_prev_char_head P_((OnigEncoding enc, const OnigUChar* start, const OnigUCh

ar* s, const OnigUChar* end));

                                       ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:322:39: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_prev_char_head P_((OnigEncoding enc, const OnigUChar* start, const OnigUCh

ar* s, const OnigUChar* end));

                                       ^

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:324:1: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_left_adjust_char_head P_((OnigEncoding enc, const OnigUChar* start, const 

OnigUChar* s, const OnigUChar* end));

 ^~~~~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:324:46: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_left_adjust_char_head P_((OnigEncoding enc, const OnigUChar* start, const 

OnigUChar* s, const OnigUChar* end));

                                              ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:324:46: Fehler: unbekannter Typname: »OnigUChar«
 OnigUChar* onigenc_get_left_adjust_char_head P_((OnigEncoding enc, const OnigUChar* start, const 

OnigUChar* s, const OnigUChar* end));

                                              ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:324:46: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_left_adjust_char_head P_((OnigEncoding enc, const OnigUChar* start, const 

OnigUChar* s, const OnigUChar* end));

                                              ^

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:326:1: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_right_adjust_char_head P_((OnigEncoding enc, const OnigUChar* start, const

 OnigUChar* s, const OnigUChar* end));

 ^~~~~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:326:47: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_right_adjust_char_head P_((OnigEncoding enc, const OnigUChar* start, const

 OnigUChar* s, const OnigUChar* end));

                                               ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:326:47: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_right_adjust_char_head P_((OnigEncoding enc, const OnigUChar* start, const

 OnigUChar* s, const OnigUChar* end));

                                               ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:326:47: Fehler: unbekannter Typname: »OnigUChar«

 OnigUChar* onigenc_get_right_adjust_char_head P_((OnigEncoding enc, const OnigUChar* start, const

 OnigUChar* s, const OnigUChar* end));

                                               ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:328:20: Fehler: unbekannter Typname: »OnigUChar«

 int onigenc_strlen P_((OnigEncoding enc, const OnigUChar* p, const OnigUChar* end));

                    ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:328:20: Fehler: unbekannter Typname: »OnigUChar«

 int onigenc_strlen P_((OnigEncoding enc, const OnigUChar* p, const OnigUChar* end));

                    ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:330:25: Fehler: unbekannter Typname: »OnigUChar«

 int onigenc_strlen_null P_((OnigEncoding enc, const OnigUChar* p));

                         ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:332:30: Fehler: unbekannter Typname: »OnigUChar«

 int onigenc_str_bytelen_null P_((OnigEncoding enc, const OnigUChar* p));

                              ^

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:636:3: Fehler: unbekannter Typname: »OnigUChar«

   OnigUChar* par;

   ^~~~~~~~~

/usr/include/ruby-2.3.0/ruby/oniguruma.h:637:3: Fehler: unbekannter Typname: »OnigUChar«

   OnigUChar* par_end;

   ^~~~~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:732:14: Fehler: unbekannter Typname: »OnigUChar«

 int onig_new P_((OnigRegex*, const OnigUChar* pattern, const OnigUChar* pattern_end, OnigOptionTy

pe option, OnigEncoding enc, const OnigSyntaxType* syntax, OnigErrorInfo* einfo));

              ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:732:14: Fehler: unbekannter Typname: »OnigUChar«

 int onig_new P_((OnigRegex*, const OnigUChar* pattern, const OnigUChar* pattern_end, OnigOptionTy

pe option, OnigEncoding enc, const OnigSyntaxType* syntax, OnigErrorInfo* einfo));

              ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:736:28: Fehler: unbekannter Typname: »OnigUChar«

 int onig_new_without_alloc P_((OnigRegex, const OnigUChar* pattern, const OnigUChar* pattern_end,

 OnigOptionType option, OnigEncoding enc, OnigSyntaxType* syntax, OnigErrorInfo* einfo));

                            ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:736:28: Fehler: unbekannter Typname: »OnigUChar«

 int onig_new_without_alloc P_((OnigRegex, const OnigUChar* pattern, const OnigUChar* pattern_end,

 OnigOptionType option, OnigEncoding enc, OnigSyntaxType* syntax, OnigErrorInfo* einfo));

                            ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:738:21: Fehler: unbekannter Typname: »OnigUChar«

 int onig_new_deluxe P_((OnigRegex* reg, const OnigUChar* pattern, const OnigUChar* pattern_end, O
nigCompileInfo* ci, OnigErrorInfo* einfo));

                     ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:738:21: Fehler: unbekannter Typname: »OnigUChar«

 int onig_new_deluxe P_((OnigRegex* reg, const OnigUChar* pattern, const OnigUChar* pattern_end, O

nigCompileInfo* ci, OnigErrorInfo* einfo));

                     ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:744:20: Fehler: unbekannter Typname: »OnigUChar«

 int onig_recompile P_((OnigRegex, const OnigUChar* pattern, const OnigUChar* pattern_end, OnigOpt

ionType option, OnigEncoding enc, OnigSyntaxType* syntax, OnigErrorInfo* einfo));

                    ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:744:20: Fehler: unbekannter Typname: »OnigUChar«

 int onig_recompile P_((OnigRegex, const OnigUChar* pattern, const OnigUChar* pattern_end, OnigOpt

ionType option, OnigEncoding enc, OnigSyntaxType* syntax, OnigErrorInfo* einfo));

                    ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:746:27: Fehler: unbekannter Typname: »OnigUChar«

 int onig_recompile_deluxe P_((OnigRegex reg, const OnigUChar* pattern, const OnigUChar* pattern_e

nd, OnigCompileInfo* ci, OnigErrorInfo* einfo));

                           ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:746:27: Fehler: unbekannter Typname: »OnigUChar«

 int onig_recompile_deluxe P_((OnigRegex reg, const OnigUChar* pattern, const OnigUChar* pattern_e

nd, OnigCompileInfo* ci, OnigErrorInfo* einfo));

                           ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:748:26: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_search P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const OnigUCh

ar* start, const OnigUChar* range, OnigRegion* region, OnigOptionType option));

                          ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:748:26: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_search P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const OnigUCh

ar* start, const OnigUChar* range, OnigRegion* region, OnigOptionType option));

                          ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:748:26: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_search P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const OnigUCh

ar* start, const OnigUChar* range, OnigRegion* region, OnigOptionType option));

                          ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:748:26: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_search P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const OnigUCh

ar* start, const OnigUChar* range, OnigRegion* region, OnigOptionType option));

                          ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:750:31: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_search_gpos P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const On

igUChar* global_pos, const OnigUChar* start, const OnigUChar* range, OnigRegion* region, OnigOptio

nType option));

                               ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:750:31: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_search_gpos P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const On

igUChar* global_pos, const OnigUChar* start, const OnigUChar* range, OnigRegion* region, OnigOptio

nType option));

                               ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:750:31: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_search_gpos P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const On

igUChar* global_pos, const OnigUChar* start, const OnigUChar* range, OnigRegion* region, OnigOptio

nType option));

                               ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:750:31: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_search_gpos P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const On

igUChar* global_pos, const OnigUChar* start, const OnigUChar* range, OnigRegion* region, OnigOptio

nType option));

                               ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:750:31: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_search_gpos P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const On

igUChar* global_pos, const OnigUChar* start, const OnigUChar* range, OnigRegion* region, OnigOptio

nType option));

                               ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:752:25: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_match P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const OnigUCha

r* at, OnigRegion* region, OnigOptionType option));

                         ^
/usr/include/ruby-2.3.0/ruby/oniguruma.h:752:25: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_match P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const OnigUCha

r* at, OnigRegion* region, OnigOptionType option));

                         ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:752:25: Fehler: unbekannter Typname: »OnigUChar«

 OnigPosition onig_match P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const OnigUCha

r* at, OnigRegion* region, OnigOptionType option));

                         ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:768:32: Fehler: unbekannter Typname: »OnigUChar«

 int onig_name_to_group_numbers P_((OnigRegex reg, const OnigUChar* name, const OnigUChar* name_en

d, int** nums));

                                ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:768:32: Fehler: unbekannter Typname: »OnigUChar«

 int onig_name_to_group_numbers P_((OnigRegex reg, const OnigUChar* name, const OnigUChar* name_en

d, int** nums));

                                ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:770:33: Fehler: unbekannter Typname: »OnigUChar«

 int onig_name_to_backref_number P_((OnigRegex reg, const OnigUChar* name, const OnigUChar* name_e

nd, OnigRegion *region));

                                 ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:770:33: Fehler: unbekannter Typname: »OnigUChar«

 int onig_name_to_backref_number P_((OnigRegex reg, const OnigUChar* name, const OnigUChar* name_e

nd, OnigRegion *region));

                                 ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:772:23: Fehler: unbekannter Typname: »OnigUChar«

 int onig_foreach_name P_((OnigRegex reg, int (*func)(const OnigUChar*, const OnigUChar*,int,int*,

OnigRegex,void*), void* arg));

                       ^

/usr/include/ruby-2.3.0/ruby/oniguruma.h:772:23: Fehler: unbekannter Typname: »OnigUChar«

 int onig_foreach_name P_((OnigRegex reg, int (*func)(const OnigUChar*, const OnigUChar*,int,int*,

OnigRegex,void*), void* arg));

                       ^

In file included from /usr/include/setjmp.h:29:0,

                 from /usr/include/freetype2/freetype/config/ftstdlib.h:156,

                 from /usr/include/freetype2/freetype/config/ftconfig.h:43,

                 from /usr/include/freetype2/freetype/freetype.h:33,

                 from /usr/include/X11/Xft/Xft.h:40,

                 from src/shared/shared.h:36,

                 from src/shared/shared.c:17:

/usr/include/bits/setjmp.h:31:1: Fehler: expected »=«, »,«, »;«, »asm« or »__attribute__« before »

typedef«

 typedef long int __jmp_buf[8];

 ^~~~~~~

In file included from /usr/include/freetype2/freetype/config/ftstdlib.h:156:0,

                 from /usr/include/freetype2/freetype/config/ftconfig.h:43,

                 from /usr/include/freetype2/freetype/freetype.h:33,

                 from /usr/include/X11/Xft/Xft.h:40,

 1 src/shared/shared.h                                                                           

                                                                                                  

                                     Bufs 

                 from src/shared/shared.h:36,

                 from src/shared/shared.c:17:

/usr/include/setjmp.h:39:5: Fehler: unbekannter Typname: »__jmp_buf«

     __jmp_buf __jmpbuf;  /* Calling environment.  */

     ^~~~~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

src/shared/shared.c: In Funktion »subSharedRegexNew«:

src/shared/shared.c:81:28: Fehler: »OnigUChar« nicht deklariert (erste Benutzung in dieser Funktio

n)

   ecode = onig_new(&preg, (UChar *)pattern,

                            ^

src/shared/shared.c:81:28: Anmerkung: jeder nicht deklarierte Bezeichner wird nur einmal für jede 

Funktion, in der er vorkommt, gemeldet

src/shared/shared.c:81:35: Fehler: expected expression before »)« token

   ecode = onig_new(&preg, (UChar *)pattern,

                                   ^
src/shared/shared.c:81:11: Fehler: Zu wenige Argumente für Funktion »onig_new«

   ecode = onig_new(&preg, (UChar *)pattern,

           ^~~~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:732:5: Anmerkung: hier deklariert

 int onig_new P_((OnigRegex*, const OnigUChar* pattern, const OnigUChar* pattern_end, OnigOptionTy

pe option, OnigEncoding enc, const OnigSyntaxType* syntax, OnigErrorInfo* einfo));

     ^~~~~~~~

src/shared/shared.c:89:13: Fehler: expected »;« before »ebuf«

       UChar ebuf[ONIG_MAX_ERROR_MESSAGE_LEN] = { 0 };

             ^~~~

src/shared/shared.c:91:37: Fehler: expected expression before »)« token

       onig_error_code_to_str((UChar*)ebuf, ecode, &einfo);

                                     ^

src/shared/shared.c:94:18: Fehler: »ebuf« nicht deklariert (erste Benutzung in dieser Funktion)

         pattern, ebuf);

                  ^~~~

src/shared/shared.c:76:17: Warnung: Variable »einfo« wird nicht verwendet [-Wunused-variable]

   OnigErrorInfo einfo;

                 ^~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

src/shared/shared.c: In Funktion »subSharedRegexMatch«:

src/shared/shared.c:118:45: Fehler: »OnigUChar« nicht deklariert (erste Benutzung in dieser Funkti

on)

   return ONIG_MISMATCH != onig_match(preg, (UChar *)string,

                                             ^

src/shared/shared.c:118:52: Fehler: expected expression before »)« token

   return ONIG_MISMATCH != onig_match(preg, (UChar *)string,

                                                    ^

src/shared/shared.c:118:27: Fehler: Zu wenige Argumente für Funktion »onig_match«

   return ONIG_MISMATCH != onig_match(preg, (UChar *)string,

                           ^~~~~~~~~~

In file included from src/shared/shared.h:31:0,

                 from src/shared/shared.c:17:

/usr/include/ruby-2.3.0/ruby/oniguruma.h:752:14: Anmerkung: hier deklariert

 OnigPosition onig_match P_((OnigRegex, const OnigUChar* str, const OnigUChar* end, const OnigUCha

r* at, OnigRegion* region, OnigOptionType option));

              ^~~~~~~~~~

src/shared/shared.c:121:1: Warnung: Kontrollfluss erreicht Ende von Nicht-void-Funktion [-Wreturn-

type]

 } /* }}} */

 ^

rake aborted!

Compiler failed with status 1

/tmp/subtle/subtle/Rakefile:204:in `block in compile'

/tmp/subtle/subtle/Rakefile:139:in `silent_sh'

/tmp/subtle/subtle/Rakefile:202:in `compile'

/tmp/subtle/subtle/Rakefile:771:in `block (2 levels) in <top (required)>'

Tasks: TOP => default => build => subtle => build/subtle/shared.o

(See full trace by running task with --trace)

 

I'm using:

ruby 2.3.8p459 (2018-10-18 revision 65136) [x86_64-linux]

on Linux smallLukasGentoo 4.15.4-ck #6 SMP Thu Apr 5 21:57:37 CEST 2018 x86_64 Intel(R) Core(TM) i

7-7500U CPU @ 2.70GHz GenuineIntel GNU/Linux

 

Reason is a necessary include of ruby.h in src/shared/shared.h:
#ifndef SHARED_H

#define SHARED_H 1

/* Includes {{{ */

#include <stdio.h>

#include <stdlib.h>

#include <string.h>

#include <stdarg.h>

#include <signal.h>

#include <errno.h>

#include <assert.h>

#include <getopt.h>

#include <ctype.h>

#include <X11/Xlib.h>

#include <X11/Xatom.h>

#include <X11/Xutil.h>

#include <X11/Xmd.h>

#include <X11/cursorfont.h>

#include <ruby.h> // <=== this is missing for Ruby 2.3 

#include <ruby/oniguruma.h>

#include "config.h" 

 

Attached a patch file of what i did.

History

#1 - 11/17/2018 07:28 PM - Lukas Schreiner

- Assignee deleted (Lukas Schreiner)

#2 - 11/17/2018 07:30 PM - Lukas Schreiner

Forgot to wrote:

Its fresh clone from hg repository (hg clone "http://hg.subforge.org/subtle")

#3 - 03/15/2024 12:19 PM - Christoph Kappel

- Priority changed from Normal to High

- Status changed from Unconfirmed to Confirmed

I was finally able to go back to subtle and face the same problems obviously - I am going to have a look into the required changes.

Files

20181117_ruby23_support.patch 288 Bytes 11/17/2018 Lukas Schreiner
